aboutsummaryrefslogtreecommitdiffstats
path: root/testing/dvd+rw-tools
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2014-07-28 17:43:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-31 06:11:22 +0000
commit95d759c80054e7ecc8f3b6bae9284fba34c46b7a (patch)
treee289bbb63d8235ef1d849f5d42d8059b1b456756 /testing/dvd+rw-tools
parent965724feb20156637954cc8e0f9613d886d1a2be (diff)
downloadaports-95d759c80054e7ecc8f3b6bae9284fba34c46b7a.tar.gz
aports-95d759c80054e7ecc8f3b6bae9284fba34c46b7a.tar.bz2
aports-95d759c80054e7ecc8f3b6bae9284fba34c46b7a.tar.xz
testing/dvd+rw-tools: new aport
DVD and Blu-ray burning tools http://fy.chalmers.se/~appro/linux/DVD+RW/
Diffstat (limited to 'testing/dvd+rw-tools')
-rw-r--r--testing/dvd+rw-tools/APKBUILD47
-rw-r--r--testing/dvd+rw-tools/transport.hxx.patch19
2 files changed, 66 insertions, 0 deletions
diff --git a/testing/dvd+rw-tools/APKBUILD b/testing/dvd+rw-tools/APKBUILD
new file mode 100644
index 0000000000..dcb7baaed2
--- /dev/null
+++ b/testing/dvd+rw-tools/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=dvd+rw-tools
+pkgver=7.1
+pkgrel=0
+pkgdesc="DVD and Blu-ray burning tools"
+url="http://fy.chalmers.se/~appro/linux/DVD+RW/"
+arch="all"
+license="GPL"
+depends="cdrkit"
+depends_dev=""
+makedepends="$depends_dev m4"
+install=""
+subpackages="$pkgname-doc"
+source="http://fy.chalmers.se/~appro/linux/DVD+RW/tools/${pkgname}-${pkgver}.tar.gz
+ transport.hxx.patch"
+_builddir=$srcdir/${pkgname}-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -d "${pkgdir}/usr/bin"
+ install -m755 -d "${pkgdir}/usr/share/man/man1"
+ install -m755 growisofs dvd+rw-booktype dvd+rw-format \
+ dvd+rw-mediainfo dvd-ram-control "${pkgdir}/usr/bin/"
+ install -m644 growisofs.1 ${pkgdir}/usr/share/man/man1/growisofs.1
+}
+
+md5sums="8acb3c885c87f6838704a0025e435871 dvd+rw-tools-7.1.tar.gz
+fee956907bf81623a8445f1c58e633e4 transport.hxx.patch"
+sha256sums="f8d60f822e914128bcbc5f64fbe3ed131cbff9045dca7e12c5b77b26edde72ca dvd+rw-tools-7.1.tar.gz
+e6b510fe2afe56a10be58c85d23b4d7e65989a3a6ac13be49867383c985b1772 transport.hxx.patch"
+sha512sums="938f9ec5597158af275c7bf63002696ba362f6f22a219108c6a1df28792f0485046a7af5ce57e41695aaaa0d69543bd66cbbeb4415df5c0e0a902a3f1d278a31 dvd+rw-tools-7.1.tar.gz
+9929fa03fd8a6c9b9ad724d1d0de77a602558bb75691148c7a9562f95b5379149fc39ab66a151c10fbe15e18c75b0ecd2d51f7c0499ced3c2e88a54330c44067 transport.hxx.patch"
diff --git a/testing/dvd+rw-tools/transport.hxx.patch b/testing/dvd+rw-tools/transport.hxx.patch
new file mode 100644
index 0000000000..d2f4f04b34
--- /dev/null
+++ b/testing/dvd+rw-tools/transport.hxx.patch
@@ -0,0 +1,19 @@
+--- dvd+rw-tools-7.1/transport.hxx
++++ dvd+rw-tools-7.1/transport.hxx.changed
+@@ -16,6 +16,7 @@
+ #include <fcntl.h>
+ #include <poll.h>
+ #include <sys/time.h>
++#include <limits.h>
+
+ inline long getmsecs()
+ { struct timeval tv;
+@@ -123,7 +124,7 @@
+ extern "C" char *plusminus_locale()
+ { static class __plusminus {
+ private:
+- char str[4];
++ char str[MB_LEN_MAX];
+ public:
+ __plusminus() { setlocale(LC_CTYPE,ENV_LOCALE);
+ int l = wctomb(str,(wchar_t)(unsigned char)'');